Last Comment Bug 689934 - Transition on infobar during webpage scrolling in highlighter
: Transition on infobar during webpage scrolling in highlighter
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Firefox 10
Assigned To: Paul Rouget [:paul]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-28 07:14 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-10-11 13:00 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (1.87 KB, patch)
2011-10-11 03:13 PDT, Paul Rouget [:paul]
mihai.sucan: review+
Details | Diff | Splinter Review
ignore this patch (1.30 KB, patch)
2011-10-11 06:16 PDT, Paul Rouget [:paul]
no flags Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-09-28 07:14:09 PDT
With the infobar landed from bug 663833, when scrolling a webpage with a node "locked" in the highlighter, the infobar "chases" the node around. We should disable the transition during scrolling.
Comment 1 Dave Camp (:dcamp) 2011-09-28 13:57:08 PDT
The transition is kinda nice when the infobar swaps positions relative to the highlighter box.
Comment 2 Rob Campbell [:rc] (:robcee) 2011-09-29 06:42:10 PDT
yes, but not so much during scrolling. Probably a low priority bug for now.
Comment 3 Kevin Dangoor 2011-09-29 08:52:20 PDT
I don't quite see the problem... when I'm scrolling with a locked node, the transition seems to make it easier to not lose track of the infobar.
Comment 4 Paul Rouget [:paul] 2011-10-11 03:13:56 PDT
Created attachment 566161 [details] [diff] [review]
patch v1
Comment 5 Mihai Sucan [:msucan] 2011-10-11 03:53:44 PDT
Comment on attachment 566161 [details] [diff] [review]
patch v1

Review of attachment 566161 [details] [diff] [review]:
-----------------------------------------------------------------

This makes the infobar consistent with the highlight rectangle: both have no transitions once the node is locked. Thanks, r+!
Comment 6 Paul Rouget [:paul] 2011-10-11 06:16:02 PDT
Created attachment 566184 [details] [diff] [review]
ignore this patch
Comment 7 Rob Campbell [:rc] (:robcee) 2011-10-11 06:26:52 PDT
https://hg.mozilla.org/integration/fx-team/rev/44411b4781c5
Comment 8 Rob Campbell [:rc] (:robcee) 2011-10-11 13:00:14 PDT
https://hg.mozilla.org/mozilla-central/rev/44411b4781c5

Note You need to log in before you can comment on or make changes to this bug.